---
- name: Prepare
  hosts: localhost
  connection: local
  gather_facts: false
  no_log: "{{ molecule_no_log }}"
  collections:
   - community.kubernetes

  vars:
    deploy_dir: "{{ lookup('env', 'MOLECULE_PROJECT_DIRECTORY') }}/deploy"

  tasks:
    - name: Create Custom Resource Definition
      k8s:
        definition: "{{ lookup('file', '/'.join([deploy_dir, 'crds/landb.operator.cern.ch_delegateddomains_crd.yaml'])) }}"

    - name: Create namespace
      k8s:
        api_version: v1
        kind: Namespace
        name: '{{ namespace }}'

    - name: Create RBAC resources
      k8s:
        definition: "{{ lookup('template', '/'.join([deploy_dir, item])) }}"
        namespace: '{{ namespace }}'
      with_items:
        - role.yaml
        - role_binding.yaml
        - service_account.yaml
